Bug 228288 - Uknown h:inputFile element?
Uknown h:inputFile element?
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
http://java.net/jira/browse/JAVASERVE...
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 14:34 UTC by Vladimir Riha
Modified: 2013-05-09 14:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-04-05 14:34:13 UTC
Again taken from [1], following shows error that HTML Basic does not contain inputFile


<h:form prependId="false" enctype="multipart/form-data">
 
    <!-- The new regular file upload component -->
    <h:inputFile id="fileUpload" value="#{someBean.file}" />
    <h:commandButton value="Upload" />
</h:form>


[1] http://jdevelopment.nl/jsf-22/#1089



Product Version: NetBeans IDE Dev (Build web-main-javaee7-207-on-20130405)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Vladimir Riha 2013-04-08 11:24:59 UTC
The rest of what's missing:

f:attributes
f:passThroughAttribute 
f:passThroughAttributes
Comment 2 Martin Fousek 2013-04-10 06:31:35 UTC
I entered issue against the JavaServerFaces since it's issue in their taglib.xml definitions. I also wrote an email to Ed Burns so I hope they will take care about that: http://java.net/jira/browse/JAVASERVERFACES-2836
Comment 3 Vladimir Riha 2013-04-10 06:50:50 UTC
Thanks a lot for both issues
Comment 4 Martin Fousek 2013-04-17 07:22:32 UTC
It's necessary to have latest GlassFish (nightly builds v.85) or bundled library (which is now in the trunk) - it's depends which JSF library you will use.

h:inputFile was available to me now

web-main #7bffc0db038a
Comment 5 Quality Engineering 2013-04-23 00:08:50 UTC
Integrated into 'releases', will be available in build *201304222201* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/7bffc0db038a
User: Martin Fousek <marfous@netbeans.org>
Log: FaceletsTaglibConfigProcessor aligned with the latest JSF one, fixes for taglib definition issues - #221581,#228287,#228288,#216926
Comment 6 Quality Engineering 2013-04-23 02:12:02 UTC
Integrated into 'main-golden', will be available in build *201304222301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7bffc0db038a
User: Martin Fousek <marfous@netbeans.org>
Log: FaceletsTaglibConfigProcessor aligned with the latest JSF one, fixes for taglib definition issues - #221581,#228287,#228288,#216926
Comment 7 Vladimir Riha 2013-04-23 14:39:13 UTC
Thank you, verified


Product Version: NetBeans IDE 7.3.1 (Build 201304222201)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-40-generic-pae running on i386; UTF-8; en_US (nb)
Comment 8 Vladimir Riha 2013-05-09 14:05:27 UTC
patch2 verified

Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo